Bug 29658 - Domäne für SSL email wird nicht automatisch übernommen
Domäne für SSL email wird nicht automatisch übernommen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.0
Other Linux
: P3 minor (vote)
: UCS 3.2
Assigned To: Florian Best
Dirk Wiesenthal
: interim-2
Depends on: 25710
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 17:14 CET by Felix Botner
Modified: 2013-11-19 06:43 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2012-12-07 17:14:57 CET
+++ This bug was initially created as a clone of Bug #25710 +++

In der Erstkonfiguration wird die Domäne nicht automatisch für das SSL
Zertifikat übernommen. Somit steht beim "einfachen" durchklicken in ssl/email
immer noch die alte Domäne.

Mit 3.1 ist mir das wieder passiert.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:44:21 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Jascha Geerds univentionstaff 2013-06-10 16:51:50 CEST
Ich kann das nicht reproduzieren. Im Appliance-Mode wird die Domäne in der E-Mail korrekt gesetzt und zu einem späteren Zeitpunkt lässt sich die Domäne ohnehin nicht mehr ändern. Ich setze den Bug auf WORKSFORME
Comment 3 Alexander Kläser univentionstaff 2013-06-14 19:08:28 CEST
What about adjusting the country configuration (everything is set to US) according to the language settings?
Comment 4 Florian Best univentionstaff 2013-07-08 16:49:06 CEST
(In reply to Alexander Kläser from comment #3)
> What about adjusting the country configuration (everything is set to US)
> according to the language settings?
Will now be done but only in appliance mode.

(In reply to Jascha Geerds from comment #2)
> Ich kann das nicht reproduzieren. Im Appliance-Mode wird die Domäne in der
> E-Mail korrekt gesetzt und zu einem späteren Zeitpunkt lässt sich die Domäne
> ohnehin nicht mehr ändern. Ich setze den Bug auf WORKSFORME
Yep

Package: univention-system-setup
Version: 7.0.18-1.483.201307081641
Comment 5 Dirk Wiesenthal univentionstaff 2013-07-31 12:45:45 CEST
This does not work as I would expect it to do.

Appliance mode means that someone can preconfigure some things (via UCR) and then roll out hundreds of installations with the help of system-setup, basically meaning that only root password, the host name and the IP address have to be given, right?

So doing
  ucr set ssl/organization=MyOrg
should prefill the certificate page with MyOrg as Organization. But the way it is implemented now, it will always be overwritten by some strange "DE" or "US" (does this even make sense as "Organization" in any SSL certificate?).

This holds for all ssl/* stuff that is changed upon changing the default locale.
Comment 6 Florian Best univentionstaff 2013-09-09 15:49:03 CEST
It now waits until all values are loaded before changing anything. So the pre set UCR variables aren't ignored anymore.
univention-system-setup (7.0.38-1)

ssl/organisation also have been removed. This was only added because the default value for it is 'DE' or 'EN'.
Comment 7 Dirk Wiesenthal univentionstaff 2013-09-23 13:11:58 CEST
Changeset: Ok
Changelog: Ok
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:43:21 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".